local marker=createMarker(-574.21, -534.52, 25.54-0.6, "cylinder", 1.2, 100, 255, 255,0)
setElementData(marker, 'marker:data', {name='Cofanie Przebiegu', icon='tuning', size=1})
local colsphere = createColSphere ( -577.10, -540.81, 25.07-0.6, 3 )

function hit(el,md)
    if not md or getElementType(el) ~= "player" then return end
    if isPedInVehicle(el) then return end
    if getElementData(el,"player:komis") == "AutoZlomex" then
    for i,v in pairs(getElementsByType("player")) do
       if getElementData(v,"player:komis") == "AutoZlomex" then
        if (not isElement(marker) or getElementType(marker) ~= "marker") then 
            return false 
        end 
        local markerColShape = getElementColShape(marker) 
        local elements = getElementsWithinColShape(markerColShape)
        if #elements > 1 then
        outputChatBox("#4C9B19[KOMIS] #ff2828Jeden z pracowników posiada otwarty już ten panel.",el,255,0,0,true)
        return
        end
       end
    end
    local vehicles=getElementsWithinColShape(colsphere,"vehicle")
    if #vehicles ~= 1 then outputChatBox("#4C9B19[KOMIS] #ff2828W wyznaczonym miejscu nie ma żadnego pojazdu.",el,255,0,0,true) return end
    if getElementData(vehicles[1],"vehicle:id")  then
    local r=exports["PSSM-db"]:dbGet("select * from pssm_carlist WHERE id=?",getElementModel(vehicles[1]))
    if r and #r > 0 then
    local r2=exports["PSSM-db"]:dbGet("select * from pssm_autozlomex_coupons WHERE uid=? AND value=100",getElementData(vehicles[1],"vehicle:ownedPlayer"))
    if r2 and #r2 > 0 then
    ma_kupon = 1
    else
    ma_kupon = 0
    end
    if tonumber(getElementData(vehicles[1],"vehicle:mileage")) < 100000 and ma_kupon == 0 then outputChatBox("#4C9B19[KOMIS] #ff2828Ten pojazd nie ma 100.000 kilometrów przebiegu ani gracz nie posiada kuponu.",el,255,0,0,true) return end
    local time = getRealTime()
    local monthday = time.monthday
	local month = time.month
	local year = time.year

    local formattedTime = string.format("%04d-%02d-%02d", year + 1900, month + 1, monthday)
    if formattedTime == "2023-02-16" then
	    triggerClientEvent(el,'komis_autozlomex:showGUI',resourceRoot,r[1]["price"]*0.7,vehicles[1],ma_kupon)
    else
        triggerClientEvent(el,'komis_autozlomex:showGUI',resourceRoot,r[1]["price"],vehicles[1],ma_kupon)
    end
    else
        outputChatBox("#4C9B19[KOMIS] #ff2828Ten pojazd nie ma określonych kwot za przebiegi, zgłoś to do AmaMy.",el,255,0,0,true)
        return
    end
    else
        outputChatBox("#4C9B19[KOMIS] #ff2828Ten pojazd nie jest prywatny.",el,255,0,0,true)
        return
    end
    end
end
addEventHandler( "onMarkerHit", marker, hit)

function leave(el,md)
    if not md or getElementType(el) ~= "player" then return end
    if isPedInVehicle(el) then return end
    triggerClientEvent(el,'komis_autozlomex:hideGUI',resourceRoot)
end
addEventHandler( "onMarkerLeave", marker, leave)

addEvent("komis_autozlomex:cofnij_przebieg", true)
addEventHandler("komis_autozlomex:cofnij_przebieg", root, function(veh,price,mileage)
if veh then
    local driver = getVehicleController(veh)
    if driver then
    local price = price
    local mileage = mileage
    local veh = veh
    if tonumber(getElementData(veh,"vehicle:ownedPlayer")) ~= tonumber(getElementData(driver,"player:uid")) then outputChatBox("#4C9B19[KOMIS] #ff2828Ten gracz nie jest właścicielem tego pojazdu.",client,255,0,0,true) return end
    triggerClientEvent(driver,'komis_autozlomex:gui_modyfikacji',resourceRoot,veh,tonumber(price),client,tonumber(mileage))
    triggerClientEvent(client,'komis_autozlomex:hide_information',resourceRoot)
    outputChatBox("#4C9B19[KOMIS] #ff2828Wysłano panel cofania przebiegu do gracza #ccc000"..getPlayerName(driver)..".",client,255,0,0,true)
    end
else
    outputChatBox("#4C9B19[KOMIS] #ff2828W samochodzie nie ma kierowcy.",client,255,0,0,true)
end
end)

addEvent("komis_autozlomex:odrzucone_cofniecie", true)
addEventHandler("komis_autozlomex:odrzucone_cofniecie", root, function(veh,pracownik)
    local gracz = getVehicleController(veh)
    outputChatBox("#4C9B19[KOMIS] #ff2828Gracz #ccc000"..getPlayerName(gracz).." #ff2828odrzucił ofertę cofnięcia przebiegu!",pracownik,255,0,0,true)
end)

addEvent("komis_autozlomex:potwierdzona_modyfikacja_przebiegu", true)
addEventHandler("komis_autozlomex:potwierdzona_modyfikacja_przebiegu", root, function(pojazd,cena,pracownik,mileage)
    if not getVehicleController(pojazd) then return end
    local driver = getVehicleController(pojazd)
    if getPlayerMoney(driver) < cena*100 then
        outputChatBox("#4C9B19[KOMIS] #ff2828Nie masz wystarczającej ilości pieniędzy.",driver,255,0,0,true)
    return end
    local mileage = math.ceil(mileage)
    exports['PSSM-db']:dbSet("UPDATE pssm_cardealers SET money=money+? WHERE name=?", (cena*0.85)*100, "AutoZlomex")
    exports['PSSM-db']:dbSet("UPDATE ogrpg_vehicles SET mileage=? WHERE id=?", math.ceil(getElementData(pojazd,"vehicle:mileage"))-mileage, getElementData(pojazd,"vehicle:id"))
    exports["PSSM-db"]:dbSet("INSERT INTO pssm_autozlomex_logs (nick,uid,operation) VALUES (?,?,?)",getPlayerName(client), getElementData(client,"player:uid"), "Cofnięcie przebiegu w pojeździe "..getVehicleName(pojazd).." [ID: "..(getElementData(pojazd,"vehicle:id")).."] ["..getElementData(pojazd,"vehicle:mileage")..">"..getElementData(pojazd,"vehicle:mileage")-mileage.."] ")
    local myWebhook = exports["PSSM-komiswebhook"]:Webhook("https://discord.com/api/webhooks/1068272758544420994/mU22q4BdqKqEszZGooc3KvMpqhiFfkv-KEL6y7P2dKWy0-41kTfPdWM8cnn2lQ0SiJL_", "AutoZłomex")
    myWebhook = exports["PSSM-komiswebhook"]:WHSetAvatar(myWebhook,"https://imgur.com/Fs0n7Zl.png")
    if tonumber(cena) == 0 and mileage > 1 then
    myWebhook = exports["PSSM-komiswebhook"]:WHSetEmbed(myWebhook, "Cofnięcie przebiegu w pojeździe [Kupon resetujący przebieg]")
    exports["PSSM-db"]:dbSet("DELETE FROM pssm_autozlomex_coupons WHERE value=100 AND uid=? LIMIT 1", getElementData(client,"player:uid"))
    else
    myWebhook = exports["PSSM-komiswebhook"]:WHSetEmbed(myWebhook, "Cofnięcie przebiegu w pojeździe")
    end
    myWebhook = exports["PSSM-komiswebhook"]:WHESetField(myWebhook, "Marka", ""..getVehicleName(pojazd).." [ID: "..(getElementData(pojazd,"vehicle:id")).."]", false)
    myWebhook = exports["PSSM-komiswebhook"]:WHESetField(myWebhook, "Aktualny przebieg", ""..math.ceil(getElementData(pojazd,"vehicle:mileage")).." km", true)
    myWebhook = exports["PSSM-komiswebhook"]:WHESetField(myWebhook, "Nowy przebieg", ""..(math.ceil(getElementData(pojazd,"vehicle:mileage"))-mileage).." km", true)
    myWebhook = exports["PSSM-komiswebhook"]:WHESetField(myWebhook, "Właściciel", ""..getPlayerName(driver).." [UID:"..getElementData(driver,"player:uid").."]", true)
    myWebhook = exports["PSSM-komiswebhook"]:WHESetColor(myWebhook, "11537631")
    exports["PSSM-komiswebhook"]:WHSend(myWebhook, false)  
    setElementData(pojazd,"vehicle:mileage",(getElementData(pojazd,"vehicle:mileage")-mileage)+1)
    givePlayerMoney(pracownik,tonumber((cena*0.15)*100))
    takePlayerMoney(driver,tonumber(cena*100))
    outputChatBox("#4C9B19[KOMIS] #00ff00Cofnięcie przebiegu przebiegło pomyślnie!",driver,255,0,0,true)
    outputChatBox("#4C9B19[KOMIS] #00ff00Gracz #ff2828"..getPlayerName(driver).." #00ff00zatwierdził propozycję cofnięcia przebiegu, otrzymujesz za to #ff2828"..string.format("%.02f", (cena*0.15)).." PLN.",pracownik,255,0,0,true)

end)