-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa

function createMarkers()
	local result=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE id=1")
	for i,v in ipairs(result) do
	if v["name"] == "AutoZlomex" and v["owner"] == 1165 then
	local pos = split(v["position"], ",") 
	local marker=createMarker(pos[1], pos[2], pos[3]-0.90, "cylinder", 1.3, 255, 0, 0,255)
	local blip=createBlip(pos[1],pos[2],pos[3],55)
	if pos[4] then
		local marker2=createMarker(pos[4], pos[5], pos[6]-0.90, "cylinder", 1.3, 255, 0, 0,255)
	    local blip2=createBlip(pos[4],pos[5],pos[6],55)	
		setElementData(marker2,"pssm_marker:dealer_autozlomex",true)
		setElementData(marker2,"marker:id_autozlomex",tonumber(v["id"]))
		setElementData(marker2,"marker:dealers_autozlomex",v["name"])
		setElementData(marker2, 'marker:data', {name='AutoZłomex', icon='dealer', size=1})
	end
	setElementData(marker,"pssm_marker:dealer_autozlomex",true)
	setElementData(marker,"marker:id_autozlomex",tonumber(v["id"]))
	setElementData(marker,"marker:dealers_autozlomex",v["name"])
	setElementData(marker, 'marker:data', {name='AutoZłomex', icon='dealer', size=1})
	end
    end
end
addEventHandler("onResourceStart",resourceRoot,createMarkers)

local koszulka = createPickup(-923.64, -540.42, 27.39,3,1275)

function pickedUpWeaponCheck( player )
	if getElementData(player,"player:komis") == "AutoZlomex" then
       if getElementData(player,"player:uid") == 1116 then
          setElementModel(player,91)
	   else
	      setElementModel(player,96)
	   end
	end
end
addEventHandler( "onPickupHit", koszulka, pickedUpWeaponCheck )

addEventHandler("onMarkerHit", resourceRoot, function(el,md)
	if not md or getElementType(el) ~= "player" then return end
	local code=getElementData(source,"marker:dealers_autozlomex")
	if not code then return end
    	local r = exports["PSSM-db"]:dbGet("SELECT * FROM pssm_dealers WHERE code=?",code)
    	for i,v in pairs(r) do
	    if v["uid"] == getElementData(el,"player:uid") then
         local result=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE name=?",code)
		 local result2=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_dealers WHERE uid=?",v["uid"])
		 triggerClientEvent(el, "komis_autozlomex:showGUI", resourceRoot,code,result,result2)
        end
	end
end)

addEventHandler("onMarkerLeave", resourceRoot, function(el,md)
	if not md or getElementType(el) ~= "player" then return end
	local code=getElementData(source,"marker:dealers_autozlomex")
	if not code then return end
    triggerClientEvent(el, "komis_autozlomex:hideGUI", resourceRoot)
end)

addEvent("komis_autozlomex:manage", true)
addEventHandler("komis_autozlomex:manage", resourceRoot, function(code)
	local result=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_dealers WHERE code=?",code)
	triggerClientEvent(client, "komis_autozlomex:listworkers", resourceRoot, result,result2)
end)

addEvent("komis_autozlomex:addmember", true)
addEventHandler("komis_autozlomex:addmember", resourceRoot, function(uid,code)
   	local result = exports["PSSM-db"]:dbGet("SELECT * FROM ogrpg_users WHERE id=?",uid)
	if result and #result > 0 then
	local name = result[1].login
	exports["PSSM-db"]:dbSet("INSERT pssm_dealers (uid,name,code,addtime) VALUES (?,?,?,NOW())",uid,name,code)
	exports["PSSM-notyfikacje"]:pssmnoti("#00ff00Pomyślnie dodano gracza!",client)
	else
	exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Podane UID nie należy do żadnego gracza!",client)
	return
	end
end)

addEvent("komis_autozlomex:editmember", true)
addEventHandler("komis_autozlomex:editmember", resourceRoot, function(uid,rank)
	local r = exports['PSSM-db']:dbSet("UPDATE pssm_dealers set rank=? where uid=?",rank,uid)
	if r then
	exports["PSSM-notyfikacje"]:pssmnoti("#00ff00Pomyślnie zmieniono rangę gracza!",client)
	else
	exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Błąd #2 zgłoś do administratora!",client)
	return
	end
end)

addEvent("komis_autozlomex:removemember", true)
addEventHandler("komis_autozlomex:removemember", resourceRoot, function(uid)
	local r = exports['PSSM-db']:dbSet("DELETE FROM pssm_dealers where uid=?",uid)
	if r then
	exports["PSSM-notyfikacje"]:pssmnoti("#00ff00Pomyślnie usunięto pracownika!",client)
	else
	exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Błąd #3 zgłoś do administratora!",client)
	return
	end
end)

addEvent("komis_autozlomex:addmoney", true)
addEventHandler("komis_autozlomex:addmoney", resourceRoot, function(money,name)
    if getPlayerMoney(client) < money*100 then exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Nie posiadasz tyle pieniędzy!",client) return end
	exports['PSSM-db']:dbSet("UPDATE pssm_cardealers set money=money+? where name=?",money*100,name)
	exports["PSSM-db"]:dbSet("INSERT pssm_dealers_logs_bank (code,name,uid,amount,type,time) VALUES (?,?,?,?,?,NOW())",name,getPlayerName(client):gsub("#%x%x%x%x%x%x",""),getElementData(client,"player:uid"),money*100,"Wplata")
    exports["PSSM-notyfikacje"]:pssmnoti("Pomyślnie wpłaciłeś #00ff00"..(string.format("%.02f",money)).." PLN",client)
	takePlayerMoney(client,money*100)
	triggerClientEvent(client, "komis_autozlomex:blockpay", resourceRoot)
    getmoney(name)
end)

addEvent("komis_autozlomex:takemoney", true)
addEventHandler("komis_autozlomex:takemoney", resourceRoot, function(money,name)
    local result = exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE name=?",name)
	if tonumber(result[1].money) < tonumber(money) then exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Komis nie posiada tyle pieniędzy!",client) return end
	if getPlayerMoney(client) + tonumber(money)*100 >= 99999999 then exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Możesz posiadać przy sobie maksymalnie 999999.99 PLN!",client) return end
    exports['PSSM-db']:dbSet("UPDATE pssm_cardealers set money=money-? where name=?",money*100,name)
	exports["PSSM-db"]:dbSet("INSERT pssm_dealers_logs_bank (code,name,uid,amount,type,time) VALUES (?,?,?,?,?,NOW())",name,getPlayerName(client):gsub("#%x%x%x%x%x%x",""),getElementData(client,"player:uid"),money*100,"Wyplata")
    exports["PSSM-notyfikacje"]:pssmnoti("Pomyślnie wypłaciłeś #00ff00"..(string.format("%.02f",money)).." PLN",client)
	givePlayerMoney(client,money*100)
	triggerClientEvent(client, "komis_autozlomex:blockpay", resourceRoot)
    getmoney(name)
end)

addEvent("komis_autozlomex:refreshmoney", true)
addEventHandler("komis_autozlomex:refreshmoney", resourceRoot, function(name)
	local result=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE name=? LIMIT 1;",name)
	triggerClientEvent(client, "komis_autozlomex:refreshmoney", resourceRoot, result)
end)

function getmoney(name)
	local result=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE name=? LIMIT 1;",name)
	triggerClientEvent(client, "komis_autozlomex:refreshmoney", resourceRoot, result)
end

addEvent("komis_autozlomex:logs", true)
addEventHandler("komis_autozlomex:logs", resourceRoot, function(dealer)
	local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_dealers_logs_bank WHERE code=?",dealer)
	triggerClientEvent(client, "komis_autozlomex:listlogs", resourceRoot, resulted)
end)

addEvent("komis_autozlomex:getvehicles", true)
addEventHandler("komis_autozlomex:getvehicles", resourceRoot, function(res)
    --if res == "tanie" then
	local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_carlist ORDER BY price ASC")
	triggerClientEvent(client, "komis_autozlomex:listcars", resourceRoot, resulted)
	--elseif res == "srednie" then
	--local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_carlist WHERE price >15000 AND price <= ?", "60000")
	--triggerClientEvent(client, "komis:listcars", resourceRoot, resulted)
	--elseif res == "drogie" then
	--local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_carlist WHERE price > ?", "60000")
	--triggerClientEvent(client, "komis:listcars", resourceRoot, resulted)
	--end
end)

addEvent("komis_autozlomex:getspecyfication", true)
addEventHandler("komis_autozlomex:getspecyfication", resourceRoot, function(id)
	local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_carlist WHERE id=?",id)
	triggerClientEvent(client, "komis_autozlomex:listspecyfication", resourceRoot, resulted)
end)

addEvent("komis_autozlomex:buyveh", true)
addEventHandler("komis_autozlomex:buyveh", resourceRoot, function(id,price,name,engine,drive,mileage,delivery)
	local taxes=exports["PSSM-db"]:dbGet("SELECT (SUM(amount)) as amount from pssm_taxes WHERE nick=?",getElementData(client,"player:komis"))
	if taxes and #taxes > 0 then
		if taxes[1]["amount"] >= 500000 then
		    exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Musisz najpierw opłacić podatki! #ccc000/zaplacpodatek",client)
		return
	    end
	end
    local result = exports["PSSM-db"]:dbGet("SELECT * FROM pssm_cardealers WHERE name=?",name)
    if tonumber(result[1].money) < tonumber(price*100) then exports["PSSM-notyfikacje"]:pssmnoti("#ff0000Komis nie posiada takiej kwoty!",client) return end
	if mileage == "~ 10 000 km" then
	mile = math.random(7500,15000)
	elseif mileage == "~ 50 000 km" then
	mile = math.random(35000,65000)
    elseif mileage == "~ 100 000 km" then
	mile = math.random(75000,125000)
	elseif mileage == "~ 150 000 km" then
    mile = math.random(125000,175000)
    elseif mileage == "~ 200 000 km" then
    mile = math.random(175000,225000)
	end
    if delivery == "Natychmiast" then
    exports["PSSM-db"]:dbSet("INSERT pssm_orders (dealername,idcar,model,engine,driveType,price,mileage,time) VALUES (?,?,?,?,?,?,?,NOW())",name,id,getVehicleNameFromModel(id),engine,drive,string.format("%.02f", price),mile)
	elseif delivery == "1 godzina" then
    exports["PSSM-db"]:dbSet("INSERT pssm_orders (dealername,idcar,model,engine,driveType,price,mileage,time) VALUES (?,?,?,?,?,?,?,NOW() + INTERVAL 1 HOUR)",name,id,getVehicleNameFromModel(id),engine,drive,string.format("%.02f", price),mile)
	elseif delivery == "2 godziny" then
    exports["PSSM-db"]:dbSet("INSERT pssm_orders (dealername,idcar,model,engine,driveType,price,mileage,time) VALUES (?,?,?,?,?,?,?,NOW() + INTERVAL 2 HOUR)",name,id,getVehicleNameFromModel(id),engine,drive,string.format("%.02f", price),mile)
	elseif delivery == "3 godziny" then
    exports["PSSM-db"]:dbSet("INSERT pssm_orders (dealername,idcar,model,engine,driveType,price,mileage,time) VALUES (?,?,?,?,?,?,?,NOW() + INTERVAL 3 HOUR)",name,id,getVehicleNameFromModel(id),engine,drive,string.format("%.02f", price),mile)
	elseif delivery == "4 godziny" then
    exports["PSSM-db"]:dbSet("INSERT pssm_orders (dealername,idcar,model,engine,driveType,price,mileage,time) VALUES (?,?,?,?,?,?,?,NOW() + INTERVAL 4 HOUR)",name,id,getVehicleNameFromModel(id),engine,drive,string.format("%.02f", price),mile)
	end
	exports["PSSM-db"]:dbSet("INSERT pssm_dealerslogs (name,nick,model,buy,buytime) VALUES (?,?,?,?,NOW())",name,getPlayerName(client):gsub("#%x%x%x%x%x%x",""),id,price*100)
	exports["PSSM-db"]:dbSet("INSERT pssm_taxes (nick,uid,amount,sender) VALUES (?,?,?,?)",name,getElementData(client,"player:uid"),string.format("%.02f", price*0.01),"Zamówienie pojazdu w komisie")
	exports['PSSM-db']:dbSet("UPDATE pssm_cardealers set money=money-? where name=?",price*100,name)
	exports["PSSM-notyfikacje"]:pssmnoti("Pomyślnie zakupiono pojazd za #00ff00"..string.format("%.02f", price).." PLN",client)
end)

addEvent("komis_autozlomex:getorders", true)
addEventHandler("komis_autozlomex:getorders", resourceRoot, function(name)
	local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_orders WHERE dealername=?",name)
	triggerClientEvent(client, "komis_autozlomex:orderlist", resourceRoot, resulted)
end)

addEvent("komis_autozlomex:orderveh", true)
addEventHandler("komis_autozlomex:orderveh", resourceRoot, function(id,idcar)
    if not id then outputChatBox("Nie wybrałeś pojazdu, który chcesz odebrać.",client) return end
	local query1=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_orders WHERE id=? ",id)
if query1[1].engine == "1.2 cm³" then
		nengine = "1.2"
		engineType = "Benzyna"
elseif query1[1].engine == "1.2T cm³" then
		nengine = "1.2T"
		engineType = "Benzyna"
elseif query1[1].engine == "1.3 cm³" then
		nengine = "1.3"
		engineType = "Diesel"
elseif query1[1].engine == "1.3T cm³" then
		nengine = "1.3T"
		engineType = "Diesel"
elseif query1[1].engine == "1.4 cm³" then
		nengine = "1.4"
		engineType = "Benzyna"
elseif query1[1].engine == "1.4T cm³" then
		nengine = "1.4T"
		engineType = "Benzyna"
elseif query1[1].engine == "1.5 cm³" then
		nengine = "1.5"
		engineType = "Diesel"
elseif query1[1].engine == "1.5T cm³" then
		nengine = "1.5T"
		engineType = "Diesel"
elseif query1[1].engine == "1.6 cm³" then
		nengine = "1.6"
		engineType = "Benzyna"
elseif query1[1].engine == "1.6T cm³" then
		nengine = "1.6T"
		engineType = "Benzyna"
elseif query1[1].engine == "1.7 cm³" then
		nengine = "1.7"
		engineType = "Diesel"
elseif query1[1].engine == "1.7T cm³" then
		nengine = "1.7T"
		engineType = "Diesel"
elseif query1[1].engine == "1.8 cm³" then
		nengine = "1.8"
		engineType = "Benzyna"
elseif query1[1].engine == "1.8T cm³" then
		nengine = "1.8T"
		engineType = "Benzyna"
elseif query1[1].engine == "1.9 cm³" then
		nengine = "1.9"
		engineType = "Diesel"
elseif query1[1].engine == "1.9T cm³" then
		nengine = "1.9T"
		engineType = "Diesel"
elseif query1[1].engine == "2.0 cm³" then
		nengine = "2.0"
		engineType = "Benzyna"
elseif query1[1].engine == "2.0T cm³" then
		nengine = "2.0T"
		engineType = "Benzyna"
elseif query1[1].engine == "2.1 cm³" then
		nengine = "2.1"
		engineType = "Diesel"
elseif query1[1].engine == "2.1T cm³" then
		nengine = "2.1T"
		engineType = "Diesel"
elseif query1[1].engine == "2.2 cm³" then
		nengine = "2.2"
		engineType = "Benzyna"
elseif query1[1].engine == "2.2T cm³" then
		nengine = "2.2T"	
		engineType = "Benzyna"		
end
	local query2=exports["PSSM-db"]:dbSet("INSERT INTO ogrpg_vehicles (model,engine,ownedPlayer,mileage,driveType,engineType,ownedGroup,parkingkomis,parking,komisprice) VALUES (?,?,?,?,?,?,?,1,1,?)", idcar, nengine, getElementData(client,"player:uid"),query1[1].mileage,query1[1].driveType,engineType,query1[1].dealername,string.format("%.02f", query1[1].price))
    if query2 then
	exports["PSSM-db"]:dbSet("DELETE FROM pssm_orders WHERE id=? ",id)
    end
end)

addEvent("komis_autozlomex:getlogs", true)
addEventHandler("komis_autozlomex:getlogs", resourceRoot, function(dealer)
	local resulted=exports["PSSM-db"]:dbGet("SELECT * FROM pssm_dealerslogs WHERE name=?",dealer)
	triggerClientEvent(client, "komis_autozlomex:listcarlogs", resourceRoot, resulted)
end)

addCommandHandler("podatek",function(plr)
	if getElementData(plr,"player:komis") then
	local result=exports["PSSM-db"]:dbGet("SELECT (SUM(amount)) as amount from pssm_taxes WHERE nick=?",getElementData(plr,"player:komis"))
	if result and #result > 0 then
	outputChatBox("#808080Twój łączny podatek do zapłacenia to #00ff00"..(string.format("%.02f", result[1]["amount"])).." PLN",plr,255,255,255,true)
	end
    end
end)

addCommandHandler("zaplacpodatek",function(plr)
	if getElementData(plr,"player:komis") then
	local result=exports["PSSM-db"]:dbGet("SELECT (SUM(amount)) as amount from pssm_taxes WHERE nick=?",getElementData(plr,"player:komis"))
	if result and #result > 0 then
	if getPlayerMoney(plr) < tonumber(result[1]["amount"]*100) then outputChatBox("#ff0000Nie posiadasz takiej kwoty!",plr,255,255,255,true) return end
	takePlayerMoney(plr,tonumber(result[1]["amount"]*100))
	local money = exports['PSSM-db']:dbSet("UPDATE ogrpg_users set bank_money=bank_money+? where id=?",tonumber(result[1]["amount"]*100),"1")
	if money then
		exports["PSSM-db"]:dbSet("UPDATE pssm_taxes SET amount=0 WHERE nick=?",getElementData(plr,"player:komis"))
		outputChatBox("#808080Pomyślnie zapłacono podatek.",plr,255,255,255,true)
	end
	end
    end
end)